%define module_name	rtl8192
%define module_release alt5
%define module_version  0018.1025

%define flavour		std-pae
BuildRequires(pre): rpm-build-kernel
BuildRequires(pre): kernel-headers-modules-std-pae

%setup_kernel_module %flavour

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.%kcode.%kbuildrelease

Summary: Kernel module for Realtek rtl8192 chipsets

License: GPLv2
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kepoch%kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: kernel-image-%flavour = %kepoch%kversion-%krelease
Requires: firmware-rtl8192
ExclusiveArch: %karch

Patch1: build-on-recent-kernels.patch

%description
This is a driver for the Realtek 819x 802.11 b/g/n chips.

These are modules for ALT Linux system.

%prep
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%patch1 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make CC=gcc-$GCC_VERSION KSRC=%_usrsrc/linux-%kversion-%flavour

%install
mkdir -p %buildroot/%module_dir/extra/
install -m644 -D HAL/rtl8192/*.ko %buildroot/%module_dir/extra/

%files
%module_dir

%changelog
* %(date "+%%a %%b %%d %%Y") %{?package_signer:%package_signer}%{!?package_signer:%packager} %version-%release
- Build for kernel-image-%flavour-%kversion-%krelease.

* Mon Dec 17 2012 Gleb F-Malinovskiy <glebfm@altlinux.org> 0018.1025-alt5
- new template

* Wed Jun 06 2012 Anton Protopopov <aspsk@altlinux.org> 0018.1025-alt4
- Add patch to build on >= 3.* kernels

* Thu Dec 09 2010 Anton Protopopov <aspsk@altlinux.org> 0018.1025-alt3
- technical

* Thu Dec 09 2010 Anton Protopopov <aspsk@altlinux.org> 0018.1025-alt2
- technical

* Thu Dec 09 2010 Anton Protopopov <aspsk@altlinux.org> 0018.1025-alt1
- 0018.1025

* Tue Sep 14 2010 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0017.0705-alt1
- 0017.0705

* Fri May 28 2010 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0015.0127-alt1
- initial build

